<div class="panel-content">

        <mat-tab-group #tabGroup>
            <mat-tab>
                <ng-template mat-tab-label>
                    <i class="fas fa-credit-card"></i>
                    <span>&nbsp;Cartões de Crédito e Débito</span>
                </ng-template>

                <div class="tab-content" fxLayout="column" fxLayoutGap="50px" >

                    <div fxLayout="row" fxLayoutAlign="start center" *ngIf="addingNewCreditCard == false" >    
                        <form [formGroup]="creditCardForm" novalidate>
                           <br>
                           <div class="summary" >

                                <div fxFlex="80" >
                                       
                                <div fxLayout="row" fxLayoutAlign="start center">

                                        

                                        <div fxFlex="100" [hidden]="paymentsList.length == 0">
                                        <div class="content-card mat-white-bg" >

                
                                              <mat-table #table [dataSource]="dataSource">

                                                    <ng-container cdkColumnDef="type">
                                                        <mat-header-cell *cdkHeaderCellDef  class="white-fg"></mat-header-cell>
                                                        <mat-cell *cdkCellDef="let element">
                                                            <p style="cursor:pointer" class="text-truncate" style="text-align: left">{{element.type  == 'CREDIT_CARD' ? 'Crédito' : element.type  == 'DEBIT_CARD' ? 'Débito' : ''}}</p>
                                                        </mat-cell>
                                                    </ng-container>

                                                    <ng-container cdkColumnDef="brand">
                                                        <mat-header-cell *cdkHeaderCellDef  class="white-fg">Bandeira</mat-header-cell>
                                                        <mat-cell *cdkCellDef="let element">
                                                            <p style="cursor:pointer" class="text-truncate">{{element.creditCardBrand ? element.creditCardBrand : element.debitCardBrand}}</p>
                                                        </mat-cell>
                                                    </ng-container>
                                              
                                                    <ng-container cdkColumnDef="card" >
                                                        <mat-header-cell *cdkHeaderCellDef class="white-fg">Cartão </mat-header-cell>
                                                        <mat-cell *cdkCellDef="let element">
                                                            <p style="cursor:pointer" class="text-truncate" style="text-align: right"> Terminado em {{element.creditCardNumber ? lastFourNumbers(element.creditCardNumber) : lastFourNumbers(element.debitCardNumber)}}</p>
                                                        </mat-cell>
                                                    </ng-container>  
                                                   
                                  
                                                    <mat-header-row *matHeaderRowDef="displayedPaymentColumns" style="background-color:transparent"  hidden=true ></mat-header-row>
                                                    <mat-row *cdkRowDef="let row; columns: displayedPaymentColumns;"
                                                              class="product"
                                                              matRipple
                                                              [ngClass]="{'highlight': selectedRowIndex == row.id}"
                                                              (click)="creditCardSelectChange(row)"
                                                        >
                                                    </mat-row>
                                                  </mat-table>
                                   
                                       
                                        
                                            </div>
                                        </div>
                                      
                                </div>
                                <br>
                                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                                        <div fxFlex="80" >
                                            <button type="button" mat-raised-button color="accent" fxFlex="100" mat-button (click)="addCreditCard('CREDIT_CARD')" >Cadastrar Cartão de Crédito</button>
                                        </div>
                                        <div fxFlex="800" >
                                            <button type="button" mat-raised-button color="accent" fxFlex="100" mat-button (click)="addCreditCard('DEBIT_CARD')" >Cadastrar Cartão de Débito</button>
                                        </div>
                               </div>  
                                <br>
                                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="installmentsList && installmentsList.length > 0" [hidden]="isHideFields">
                                        <mat-form-field fxFlex="100" >
                                                <mat-select placeholder="Parcelamento" formControlName="installments" required>
                                                    <mat-option *ngFor="let installments of installmentsList" [value]="installments">
                                                            <span>{{installments['text']}}</span>
                                                    </mat-option>
                                                </mat-select>
                                                <mat-error *ngIf="creditCardForm.get('installments').hasError('required')">
                                                        Por favor, selecione o parcelamento
                                                </mat-error>
                                               
                                        </mat-form-field>
                                </div>
                                <br>
                                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" [hidden]="isHideFields">
                                    <mat-form-field fxFlex="100" >
                                            <mat-select placeholder="Dia do vencimento da fatura" formControlName="dueDay" required>
                                                <mat-option *ngFor="let dueDay of dueDayList" [value]="dueDay">
                                                        <span>{{dueDay}}</span>
                                                </mat-option>
                                            </mat-select>
                                            <mat-error *ngIf="creditCardForm.get('dueDay').hasError('required')">
                                                Por favor, selecione o dia do vencimento da fatura
                                            </mat-error>
                                    </mat-form-field>
                                </div>
                                <br>
                                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                                    <div fxFlex="100" >
                                        <button type="button" color="primary"  mat-raised-button (click)="setPaymentType('CREDIT_CARD')" fxFlex="100">Confirmar Forma de Pagamento</button>
                                    </div>
                                </div> 
                                
                            </div>
                            <div fxFlex="20" style=" padding-left: 150px; padding-top: 60px;">
                                
                        </div>  
                    </div>
                        </form>
                    </div>     
                    
                </div>
                
            </mat-tab>


            <mat-tab *ngIf="paymentsType.indexOf('BOOKLET') >= 0 ">
                <ng-template mat-tab-label>
                    <i class="fas fa-barcode"></i>
                    <span>&nbsp;Boleto</span>
                </ng-template>
                
                <form [formGroup]="creditCardForm" novalidate>
                    <br>
                    <div class="summary" style="width: 600px;" [hidden]="isHideFields">
                            <br>
                            <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" *ngIf="installmentsList && installmentsList.length > 0">
                                    <mat-form-field fxFlex="70" >
                                            <mat-select placeholder="Parcelamento" formControlName="installments">
                                                <mat-option *ngFor="let installments of installmentsList" [value]="installments" required>
                                                        <span>{{installments['text']}}</span>
                                                </mat-option>
                                            </mat-select>
                                            <mat-error *ngIf="creditCardForm.get('installments').hasError('required')">
                                                    Por favor, selecione o parcelamento
                                            </mat-error>
                                           
                                    </mat-form-field>
                            </div>
                            <br>
                        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" >
                            <mat-form-field fxFlex="70">
                                    <mat-select placeholder="Dia do vencimento da fatura" formControlName="dueDay" required>
                                        <mat-option *ngFor="let dueDay of dueDayList" [value]="dueDay">
                                                <span>{{dueDay}}</span>
                                        </mat-option>
                                    </mat-select>
                                    <mat-error *ngIf="creditCardForm.get('dueDay').hasError('required')">
                                        Por favor, selecione o dia do vencimento da fatura
                                    </mat-error>
                            </mat-form-field>
                        </div>
                    </div>  
                </form>
                
                <div class="tab-content" fxLayout="column" fxLayoutGap="10px">
                    <p>
                        <mat-icon>mail_outline</mat-icon> Após a confirmação o boleto será enviado para o seu e-mail.
                    </p>
                </div> 
                
                <div fxLayout="row" fxLayoutAlign="end center">
                    <button type="button" color="primary" mat-raised-button (click)="setPaymentType('BOOKLET')">Pagar com Boleto</button>
                </div>
            </mat-tab>
        </mat-tab-group>
    
</div>